## osmo-fl2k 0.2.1.202509252026

=== debian/changelog ===
osmo-fl2k (0.2.1.202509252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 25 Sep 2025 20:27:10 +0000

=== debian/control ===
Source: osmo-fl2k
Section: libs
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 9.0.0~),  dh-autoreconf
	, pkg-config
	, cmake
	, libusb-1.0-0-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k.git
Homepage: https://projects.osmocom.org/projects/osmo-fl2k

Package: osmo-fl2k
Section: net
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202509252026), ${misc:Depends}, ${shlibs:Depends}
Description: use a VGA USB adapter as DAC and SDR transmitter
 This software allows one to use USB 3.0 to VGA adapters based on the
 Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
 generating a continuous stream of samples by avoiding the HSYNC and
 VSYNC blanking intervals.

Package: libosmo-fl2k0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202509252026), ${misc:Depends}, ${shlibs:Depends}
Description: use a VGA USB adapter as DAC and SDR transmitter - library
 This software allows one to use USB 3.0 to VGA adapters based on the
 Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
 generating a continuous stream of samples by avoiding the HSYNC and
 VSYNC blanking intervals.
 .
 This package provides the shared library.

Package: libosmo-fl2k-dev
Section: libdevel
Architecture: any
Depends: osmocom-nightly (= 202509252026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
Description: use a VGA USB adapter as DAC and SDR transmitter - development
 This software allows one to use USB 3.0 to VGA adapters based on the
 Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
 generating a continuous stream of samples by avoiding the HSYNC and
 VSYNC blanking intervals.
 .
 This package provides the development files.

## osmo-fl2k 0.2.1.202509262026

=== debian/changelog ===
osmo-fl2k (0.2.1.202509262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 26 Sep 2025 20:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509262026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509262026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202509252026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202509262026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202509272026

=== debian/changelog ===
osmo-fl2k (0.2.1.202509272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 27 Sep 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509272026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509272026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202509262026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202509272026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202509282026

=== debian/changelog ===
osmo-fl2k (0.2.1.202509282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 28 Sep 2025 20:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509282026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509282026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202509272026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202509282026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202509292026

=== debian/changelog ===
osmo-fl2k (0.2.1.202509292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 29 Sep 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509292026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509292026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202509282026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202509292026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202509302026

=== debian/changelog ===
osmo-fl2k (0.2.1.202509302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 30 Sep 2025 20:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509292026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509302026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509292026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509302026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202509292026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202509302026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510012026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 01 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510012026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510012026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202509302026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510012026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510022026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 02 Oct 2025 20:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510022026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510022026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510012026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510022026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510032026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 03 Oct 2025 20:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510032026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510032026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510022026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510032026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510042026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 04 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510042026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510042026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510032026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510042026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510052026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 05 Oct 2025 20:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510042026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510052026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510042026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510052026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510042026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510052026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510062026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 06 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510052026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510062026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510052026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510062026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510052026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510062026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510072026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 07 Oct 2025 20:27:15 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510062026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510072026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510062026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510072026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510062026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510072026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510082026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 08 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510072026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510082026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510072026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510082026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510072026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510082026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510092026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 09 Oct 2025 20:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510082026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510092026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510082026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510092026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510082026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510092026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+ds//" https://gitea.osmocom.org/sdr/osmo-fl2k refs/tags/([\d\.]+) debian uupdate

## osmo-fl2k 0.2.1.202510102026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 10 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510092026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510102026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510092026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510102026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510092026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510102026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510112026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 11 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510102026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510112026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510102026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510112026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510102026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510112026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510122026

=== src/CMakeLists.txt ===
# Copyright 2018 Osmocom Project
#
# This file is part of osmo-fl2k
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include(GNUInstallDirs)

MACRO(LIBFL2K_APPEND_SRCS)
    LIST(APPEND libosmo-fl2k_srcs ${ARGV})
ENDMACRO(LIBFL2K_APPEND_SRCS)

LIBFL2K_APPEND_SRCS(
    libosmo-fl2k.c
)

########################################################################
# Set up Windows DLL resource files
########################################################################
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/Version.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/libosmo-fl2k.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/libosmo-fl2k.rc
    @ONLY)

    LIBFL2K_APPEND_SRCS(${CMAKE_CURRENT_BINARY_DIR}/libosmo-fl2k.rc)
ENDIF(MSVC)

########################################################################
# Setup shared library variant
########################################################################
add_library(libosmo-fl2k_shared SHARED ${libosmo-fl2k_srcs})
target_link_libraries(libosmo-fl2k_shared ${LIBUSB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
set_target_properties(libosmo-fl2k_shared PROPERTIES DEFINE_SYMBOL "libosmofl2k_EXPORTS")
set_target_properties(libosmo-fl2k_shared PROPERTIES OUTPUT_NAME osmo-fl2k)
set_target_properties(libosmo-fl2k_shared PROPERTIES SOVERSION ${MAJOR_VERSION})
set_target_properties(libosmo-fl2k_shared PROPERTIES VERSION ${LIBVER})

########################################################################
# Setup static library variant
########################################################################
add_library(libosmo-fl2k_static STATIC ${libosmo-fl2k_srcs})
target_link_libraries(libosmo-fl2k_static ${LIBUSB_LIBRARIES})
set_property(TARGET libosmo-fl2k_static APPEND PROPERTY COMPILE_DEFINITIONS "libosmofl2k_STATIC" )
if(NOT WIN32)
# Force same library filename for static and shared variants of the library
set_target_properties(libosmo-fl2k_static PROPERTIES OUTPUT_NAME osmo-fl2k)
endif()

########################################################################
# Setup libraries used in executables
########################################################################
if(WIN32 AND NOT MINGW)
add_library(libgetopt_static STATIC
    getopt/getopt.c
)
target_link_libraries(
    libosmo-fl2k_shared
)
endif()

########################################################################
# Build utility
########################################################################
add_executable(fl2k_file fl2k_file.c)
add_executable(fl2k_tcp fl2k_tcp.c)
add_executable(fl2k_test fl2k_test.c)
add_executable(fl2k_fm fl2k_fm.c rds_waveforms.c rds_mod.c)
set(INSTALL_TARGETS libosmo-fl2k_shared libosmo-fl2k_static fl2k_file fl2k_tcp fl2k_test fl2k_fm)

target_link_libraries(fl2k_file libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

target_link_libraries(fl2k_tcp libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

target_link_libraries(fl2k_test libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

target_link_libraries(fl2k_fm libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)


if(UNIX)
target_link_libraries(fl2k_test m)
target_link_libraries(fl2k_fm m)
endif()

if(WIN32 AND NOT MINGW)
target_link_libraries(fl2k_file libgetopt_static)
target_link_libraries(fl2k_tcp ws2_32 libgetopt_static)
target_link_libraries(fl2k_test libgetopt_static)
target_link_libraries(fl2k_fm libgetopt_static)
set_property(TARGET fl2k_file APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
set_property(TARGET fl2k_tcp APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
set_property(TARGET fl2k_test APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
set_property(TARGET fl2k_fm APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
endif()

if(MINGW)
target_link_libraries(fl2k_tcp ws2_32)
endif()

########################################################################
# Install built library files & utilities
########################################################################
install(TARGETS ${INSTALL_TARGETS}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} # .so/.dylib file
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

=== debian/changelog ===
osmo-fl2k (0.2.1.202510122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 12 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510112026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510122026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510112026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510122026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510112026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510122026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510132026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 13 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510122026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510132026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510122026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510132026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510122026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510132026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510142026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 14 Oct 2025 20:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510132026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510142026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510132026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510142026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510132026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510142026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510162026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 16 Oct 2025 20:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510142026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510162026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510142026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510162026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510142026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510162026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510172026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 17 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510162026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510172026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510162026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510172026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510162026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510172026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510182026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 18 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510172026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510182026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510172026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510182026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510172026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510182026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.1.202510192026

=== debian/changelog ===
osmo-fl2k (0.2.1.202510192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 19 Oct 2025 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510182026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510192026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510182026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510192026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202510182026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202510192026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
